Subject: Re: bug#54033: Calibre's ebook-viewer only shows white-on-white or dark-on-dark.

From: Leo Famulari <[email-masked]>
Date: Thu, 17 Feb 2022 18:41:34 -0500

On Thu, Feb 17, 2022 at 01:05:09AM -0600, Jacob MacDonald wrote:
> Calibre's main window is unaffected, but it's impossible to read any
> EPUBs in the viewer. The text in both the book and the settings is
> affected. Images show up.
> 
> I don't remember if I noticed this before or after the bit QtWebKit
> removal a few weeks ago. It would be a strange root cause but is the
> only thing I can see that makes sense temporally.

You can find out for sure by testing Calibre from before that change:

`guix time-machine --commit=262a1734e250f756471a066348381017b3e281d6 -- shell calibre`

... because that commit 262a1734 immediately preceded the removal of
Calibre's transitive dependency on QtWebKit.

Well, I tested an old copy of Calibre myself, from around January 7, and
it doesn't help with this bug. Did you check if this bug has been
reported upstream?

https://calibre-ebook.com/bugs